body {
    margin: 0;
    height: 100%;
    font-family: 'DM Sans', sans-serif;
    line-height: 1.5;
}

p {
    color:#7B84A4;
}

main {
    position: relative;
}

/* hamburger */
.container {
    display: inline-block;
    cursor: pointer;
}

.bar1, .bar2, .bar3 {
    width: 35px;
    height: 5px;
    background-color: #fff;
    margin: 6px 0;
    transition: 0.4s;
}
  
.change .bar1 {
    -webkit-transform: rotate(-45deg) translate(-9px, 6px);
    transform: rotate(-45deg) translate(-9px, 6px);
}
  
.change .bar2 {opacity: 0;}
  
.change .bar3 {
    -webkit-transform: rotate(45deg) translate(-8px, -8px);
    transform: rotate(45deg) translate(-8px, -8px);
}
/* ------------ */
footer {
    padding: 35px;
    justify-content: center;
    align-items: center;
    display: flex;
    background-color: #2F3649;
    color: white;
}

.content-wrapper {
    display: flex;
    height: inherit;
}

.nav-block {
    display: flex;
    background-color: #2F3649;
    align-items: center;
    justify-content: space-between;
}

.nav-middle-block {
    display: flex;
    align-items: center;
    width: 64%;
    justify-content: space-between;
}

.nav-middle-block nav {
    padding: 15px 0px;
    background-color: #19212E;
}

nav ul li a {
    color: #7B84A4;
    padding: 0px 15px;
    display: flex;
    align-items: center;
}

nav ul li a i {
    margin-left: 5px;
}

.searchbar {
    position: relative;
}

.searchbar input {
    border-radius: 15px;
    border: 1.5px solid #19212E;
    padding: 5px 70px;
}

.searchbar button {
    position: absolute;
    right: 0;
    top: 7px;
    color: #7B84A4;
    cursor: pointer;
    background-color: #fff;
    border: none;
}

ul {
    list-style-type: none;
    display: flex;
    padding: 0;
    flex-wrap: wrap;
}

a {
    text-decoration: none;
    color:#7B84A4;
}

.logo {
    width: 18%;
    color: #fff;
    font-size: x-large;
    display: flex;
}

.logo span:nth-child(1) {
    padding-left: 15px;
    font-weight: 900;
}

.logo span:nth-child(2) {
    margin-left: 0px;
}

.log-reg {
    text-align: center;
    color: #3697D6;
    width: 18%;
}

header.nav {
    background-color: #1A212E;
}

.section-left {
    width: 18%;
    height: inherit;
}

.section-middle {
    width: 64%;
    height: inherit;
}

.filter-block select {
    background-color: #F4F5F9;
    border: 2px solid rgb(236, 236, 236);
    padding: 5px 80px 5px 0px;
    color: #7B84A4;
    font-size: 17px;
    letter-spacing: 0.3px;
}

.show-block {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0px 15px;
    border-bottom: 1.5px solid #EEF1F8;
    border-left: 1.5px solid #EEF1F8;
}

.show-block div a {
    margin-right: 20px;
}

.show-block div a:hover {
    padding-bottom: 13.5px;
    border-bottom: 3px solid #F48C00;
}

.questions-per-page {
    display: inherit;
    align-items: inherit;
    justify-content: inherit;
}

.questions-per-page p {
    margin-right: 10px;
}

.questions-per-page select {
    background-color: #F4F5F9;
    border: 2px solid rgb(236, 236, 236);
    padding: 5px 20px 5px 0px;
    color: #7B84A4;
}

.filter-block {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1.5px solid #EEF1F8;
    border-left: 1.5px solid #EEF1F8;
    padding: 0px 15px;
}

.pils li {
    margin: 0 8px 16px 0;
    background-color: #c4c3c526;
    color: #7B84A4;
    border-radius: 15px;
    border: 1px solid rgb(202, 197, 197);
    padding: 2px 6px;
    -webkit-transition: width 300ms;
    transition: 300ms;
}

.pils li:hover {
    background-color: #F48C00;
    color: #19212E;
    -webkit-transition: width 300ms;
    transition: 300ms;
}

.post-content {
    width: 70%;
    margin-right: 10px;
}

.truncate-heading {
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.truncate-text {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.hamburger {
    display: block;
    position: absolute;
    right: 30px;
    top: 23px;
}

.post-info {
    display: flex;
    width: 30%;
    justify-content: space-between;
}

.post-info div:nth-child(2) .circle {
    background: #1BBC9B;  /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, #6b8f40, #1BBC9B);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #6b8f40, #1BBC9B); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    color: #fff;
}

.post {
    display: flex;
    align-items: baseline;
    border-bottom: 1.5px solid #EEF1F8;
    border-left: 1.5px solid #EEF1F8;
    padding: 0px 30px;
}

.post:nth-child(even) {
    background-color: #FBFCFF;
}

.circle {
    height: 50px;
    width: 50px;
    display: table-cell;
    text-align: center;
    vertical-align: middle;
    border-radius: 50%;
    border: 1.5px solid rgb(202, 197, 197);
    color: #7B84A4;
    background: #ECE9E6;  /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, #FFFFFF, #ECE9E6);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #FFFFFF, #ECE9E6); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
}

.post-info p {
    text-align: center;
    transform: rotate(2deg);
}

.post-uploader {
    display: flex;
    align-items: center;
    margin-bottom: 16px;
    color: #7B84A4;
}

/* uploader info block*/
.user-image {
    background-image: url("assets/admin.jpg");
    background-size: cover;
    width: 30px;
    height: 30px;
    border-radius: 15px;
}

.user-questions-image {
    background-image: url("assets/admin.jpg");
    background-size: cover;
    width: 30px;
    height: 30px;
    border-radius: 30px;
    padding-right: 25px;
    margin-right: 5px;
    margin-top: 5px;
}
.uploader {
    margin: 0px 15px;
}
.status {
    margin-right: 15px;
    padding: 5px 10px;
    background-color: #872D88;
    border-radius: 5px;
    color: #fff;
}

.category {
    color: #64b9d6;
    margin-left: 3px;
}
/*  */
.section-right {
    width: 18%;
    height: inherit;
    background-color: #EEF1F8;
}

.info {
    margin: 30px 15px;
}

.questions-number {
    border-left: 4px solid #3697D6;
    margin-bottom: 25px;
}

.questions-number p:first-child {
    font-weight: bold;
    margin-left: 10px;
}

.questions-number p:nth-child(2) {
    font-size: 40px;
    margin-left: 10px;
    color: #19212E;
    font-weight: 900;
}

.members-number {
    border-left: 4px solid #F48C00;
}

.members-number p:first-child {
    font-weight: bold;
    margin-left: 10px;
}

.members-number p:nth-child(2) {
    font-size: 40px;
    margin-left: 10px;
    color: #19212E;
    font-weight: 900;
}

.questions-number p,
.members-number p{
    margin: 0;
}

.question-block button{
    padding: 15px;
    background-color:#3697D6;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.question-block {
    padding: 28.8px 15px;
    text-align: center;
    border-bottom: 1.5px solid #EEF1F8;
}

.tags-block {
    margin: 0px 15px;
}

.tags-block h3 {
    margin-bottom: 0px;
    color: #19212E;
}

.pils2 ul{
   display: flex;
   flex-direction: column;
}

.pils2 ul li {
    background-color: #F4F5F9;
    color: #7B84A4;
    padding: 2px 6px;
    border-radius: 15px;
    border: 1px solid rgb(202, 197, 197);
    margin-bottom: 15px;
    width: fit-content;
    display: table;
    position: relative;
    -webkit-transition: width 300ms;
    transition: 300ms;
}

.pils2 ul li:hover {
    background-color: #F48C00;
    color: #19212E;
    -webkit-transition: width 300ms;
    transition: 300ms;
}

.pils2 ul p {
    color: #3697D6;
    margin: 0;
}

.pils2 ul span {
    position: absolute;
    right: -30px;
    top: 3px;
}

.hot-questions {
    margin: 30px 15px;
}

.hot-questions ul{
    color: #3697D6;
    display: flex;
    flex-direction: column;
}

.hot-questions ul li {
    margin-bottom: 15px;
    display: flex;
}

.hot-questions ul img {
    width: 30px;
    height: 30px;
    border-radius: 15px;
    margin-right: 10px;
}

.hot-questions h3 {
    color: #19212E;
    margin: 0;
}

.fas {
    margin-right: 15px;
}

.menu {
    padding: 10px 15px;
    border-bottom: 1.5px solid #EEF1F8;
}

.menu ul {
    display: flex;
    flex-direction: column;
    margin: 0;
}

.menu ul li {
    margin: 14.5px 0;
    color: #7B84A4;
    cursor: pointer;
}

.social-net {
    display: flex;
    font-size: xx-large;
    justify-content:space-between;
    -webkit-justify-content:space-evenly;
    -moz-justify-content:space-evenly;
    justify-content: space-evenly;
    border-bottom: 1.5px solid #EEF1F8;
    padding: 15px 20px 10px 20px;
    color: #7B84A4;
}

.social-net i {
    cursor: pointer;
}

.terms {
    color: #7B84A4;
    text-align: center;
}

.terms p:nth-child(2) {
    color:#3697D6;
}

/* custom left hamburger nav */
.left-responsive-nav {
    width: 300px;
    background-color: #EEF1F8;
    position: absolute;
    z-index: 5;
    height: 100%;
}

.sticky-top {
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 10;
}

.sticky-left {
    position: fixed;
    top: 86px;
    left: 0;
    z-index: 1;
}

.content-wrapper {
    justify-content: flex-end;
}

.facebook,
.twitter,
.google {
    background-image: url('./assets/LR6bK.png');
    background-repeat: no-repeat;
    height: 41px;
    width: 41px;
}

.facebook {
    background-position: -348px -140px;
}

.twitter {
    background-position: -863px -139px;
}

.google {
    background-position: -218px -139px;
}

/* hovering */
.facebook:hover {
    background-position: -348px -399px;
}

.twitter:hover {
    background-position: -863px -398px;
}

.google:hover {
    background-position: -218px -398px;
}

.categories-menu:hover ul{
    display: block;
}

.categories-menu ul {
    display: none;
    padding-left: 30px;
}

.categories-menu ul li:last-child {
    margin-bottom: 0px;
}

/* iki 1174 */
@media only screen and (max-width: 1174px) {
    .nav-block {
        height: 82.8px;
        position: relative;
    }

    .hamburger {
        display: block;
        position: absolute;
        right: 30px;
    }

    .post {
        flex-direction: column;
    }

    .post-content {
        width: 100%;
    }

    .post-info {
        width: 100%;
        justify-content: space-around;
    }

    .nav-middle-block {
        display: flex;
        position: absolute;
        flex-direction: column;
        top: 100px;
        z-index: 8;
        width: 300px;
        left: 0;
    }

    .log-reg {
        display: flex;
        position: absolute;
        flex-direction: column;
        top: 380px;
        z-index: 8;
        font-size: 25px;
        padding-left: 15px;
        text-align: left;
        left: 0;
        width: 285px;
    }

    .nav-middle-block nav {
        font-size: 25px;
        background-color: #EEF1F8;
        width: 100%;
    }

    nav ul {
        flex-direction: column;
    }

    .searchbar input {
        padding: 5px 40px;
    }

    .mai-nav-padd {
        padding-top: 0px;
    }
}
/* nuo 1174 */
@media only screen and (min-width: 1174px) {
    .hamburger {
      display: none;
    }

    .left-responsive-nav {
        display: none !important;
    }

    .nav-middle-block {
        display: flex !important;
    }
    .log-reg {
        justify-content: center;
        display: flex !important;
    }

    .topnav-padd {
        padding-bottom: 86px;
    }
}

/* iki 790 */
@media only screen and (max-width: 790px) {
    .content-wrapper {
        flex-direction: column;
    }

    .section-left {
        width: 100%;
        order: 3;
    }

    .section-middle {
        width: 100%;
        order: 1;
    }

    .section-right {
        width: 100%;
        order: 2;
    }

    .filter-block {
        flex-direction: column;
        padding-bottom: 15px;
    }

    .filter-block select {
        font-size: 12px;
    }

    .show-block {
        flex-direction: column;
    }

    .show-block div a:hover {
        padding-bottom: 0px;
    }

    .pils2 ul {
        flex-direction: row;
        flex-wrap: wrap;
    }

    .pils2 ul li {
        margin-right: 30px;
    }

    .pils2 ul span {
        right: -20px;
    }

    .questions-number {
        margin-bottom: 0px;
    }

    .info {
        display: flex;
        justify-content: space-around;
    }

    .questions-per-page {
        font-size: 14px;
    }

    .show-block {
        padding: 15px 15px;
    }

    .post-uploader {
        font-size: 12px;
        margin-bottom: 35px;
        flex-direction: column;
    }

    .social-net {
        border-bottom: none;
    }

    .pils ul {
        font-size: 14px;
    }

    .post {
        flex-direction: column;
    }

    .post-content {
        width: 100%;
        margin-right: 20px;
    }

    .post-info {
        width: 100%;
        justify-content: space-evenly;
    }

    .status {
        margin-right: 0px;
    }

    .user-questions-image {
        padding-right: 13px;
        width: 45px;
        height: 35px;
    }

    .sticky-left {
        position: inherit;
    }
}

@media only screen and (max-width: 788px) and (min-width: 420px)  {
    .user-questions-image {
        width: 25px;
        height: 37px;
    }
}

@media only screen and (max-width: 321px) {
    .pils ul li{
        font-size: 12px;
    }

    .post-uploader {
        flex-direction: column;
    }
    
    .user-questions-image {
        padding-right: 15px;
    }
}



